> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# CRUD: Retrieve a product rate plan charge

GET https://rest.test.zuora.com/v1/object/product-rate-plan-charge/{id}

Retrieves a specific product rate plan charge.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/legacy-v1-products/product-rate-plan-charges/object-get-product-rate-plan-charge

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `id` (string, required) — The unique ID of a product rate plan charge to be retrieved. For example, 2c93808457d787030157e031fcd34e19.

### Query parameters

- `fields` (string, optional) — Object fields to return

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `X-Zuora-WSDL-Version` (string, optional, default: 79) — Zuora WSDL version number.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `AccountingCode` (string, optional) — The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes.
- `ApplyDiscountTo` (enum, optional) — Specifies the type of charges that you want a specific discount to apply to. All field values are case sensitive and in all-caps.
  - Allowed values: `ONETIME (1)`, `RECURRING (2)`, `USAGE (4)`, `ONETIMERECURRING (3)`, `ONETIMEUSAGE (5)`, `RECURRINGUSAGE (6)`, `ONETIMERECURRINGUSAGE (7)`
- `BillCycleDay` (integer, optional) — Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month customer is billed. The BCD value in the account can override the BCD in this object. **Character limit**: 2 **Values**: a valid BCD integer, 1 - 31
- `BillCycleType` (enum, optional) — Specifies how to determine the billing day for the charge.
  - Allowed values: `DefaultFromCustomer`, `SpecificDayofMonth`, `SubscriptionStartDay`, `ChargeTriggerDay`, `SpecificDayofWeek`, `TermStartDay`, `TermEndDay`
- `BillingPeriod` (enum, optional) — The billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD).
  - Allowed values: `Month`, `Quarter`, `Annual`, `Semi-Annual`, `Specific Months`, `Subscription Term`, `Week`, `Specific Weeks`, `Specific Days`
- `BillingPeriodAlignment` (enum, optional) — Aligns charges within the same subscription if multiple charges begin on different dates.
  - Allowed values: `AlignToCharge`, `AlignToSubscriptionStart`, `AlignToTermStart`, `AlignToTermEnd`
- `BillingTiming` (enum, optional) — The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types. This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/).
  - Allowed values: `In Advance`, `In Arrears`
- `ChargeFunction` (enum, optional) — **Note**: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled. To use this field, you must set the `X-Zuora-WSDL-Version` request header to `141` or higher. Otherwise, an error occurs. This field defines what type of charge it is: * Standard: Normal charge with no Prepayment or Commitment or Drawdown. * Prepayment: For recurring charges. Unit or currency based prepaid charge. * CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge. * Drawdown: For usage charges. Drawdown from prepaid funds. * DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds. * CreditCommitment: For usage charges. Credit to minimum commitment funds.
  - Allowed values: `Standard`, `Prepayment`, `CommitmentTrueUp`, `Drawdown`, `CreditCommitment`, `DrawdownAndCreditCommitment`
- `CommitmentType` (enum, optional) — **Note**: This field is only available if you have the Prepaid with Drawdown feature enabled. To use this field, you must set the `X-Zuora-WSDL-Version` request header to `133` or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be `UNIT` or `CURRENCY`. A minimum commitment(in-arrears) charge can only be `CURRENCY` type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges.
  - Allowed values: `UNIT`, `CURRENCY`
- `ChargeModel` (enum, optional) — Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration.
  - Allowed values: `Discount-Fixed Amount`, `Discount-Percentage`, `Flat Fee Pricing`, `Per Unit Pricing`, `Overage Pricing`, `Tiered Pricing`, `Tiered with Overage Pricing`, `Volume Pricing`, `Delivery Pricing`, `MultiAttributePricing`, `PreratedPerUnit`, `` PreratedPricing` ``, `HighWatermarkVolumePricing`, `HighWatermarkTieredPricing`
- `ChargeType` (enum, optional) — Specifies the type of charge.
  - Allowed values: `OneTime`, `Recurring`, `Usage`
- `CreatedById` (string, optional) — The automatically generated ID of the Zuora user who created the `ProductRatePlanCharge` object.
- `CreatedDate` (datetime, optional) — The date when the `ProductRatePlanCharge` object was created.
- `DefaultQuantity` (double, optional) — The default quantity of units, such as the number of authors in a hosted wiki service. This field is required if you use a per-unit pricing model. **Character limit**: 16 **Values**: a valid quantity value. **Note**: When `ChargeModel` is `Tiered Pricing` or `Volume Pricing`, if this field is not specified, the value will default to `0`.
- `DeferredRevenueAccount` (string, optional) — The name of the deferred revenue account for this charge. This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/).
- `Description` (string, optional) — A description of the charge.
- `DiscountLevel` (enum, optional) — Specifies if the discount applies to just the product rate plan, the entire subscription, or to any activity in the account.
  - Allowed values: `rateplan`, `subscription`, `account`
- `EndDateCondition` (enum, optional, default: SubscriptionEnd) — Defines when the charge ends after the charge trigger date. **Values**: - `SubscriptionEnd`: The charge ends on the subscription end date after a specified period based on the trigger date of the charge. - `FixedPeriod`: The charge ends after a specified period based on the trigger date of the charge. If you set this field to `FixedPeriod`, you must specify the length of the period and a period type by defining the `UpToPeriods` and `UpToPeriodsType` fields. **Note**: If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date.
  - Allowed values: `SubscriptionEnd`, `FixedPeriod`
- `ExcludeItemBillingFromRevenueAccounting` (boolean, optional) — The flag to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. **Notes**: - To use this field, you must set the `X-Zuora-WSDL-Version` request header to `115` or later. Otherwise, an error occurs. - This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
- `ExcludeItemBookingFromRevenueAccounting` (boolean, optional) — The flag to exclude the related rate plan charges and order line items from revenue accounting. **Notes**: - To use this field, you must set the `X-Zuora-WSDL-Version` request header to `115` or later. Otherwise, an error occurs. - This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.
- `Id` (string, optional) — Object identifier.
- `IncludedUnits` (double, optional) — Specifies the number of units in the base set of units. **Character limit**: 16 **Values**: a positive decimal value
- `LegacyRevenueReporting` (boolean, optional)
- `ListPriceBase` (enum, optional) — The list price base for the product rate plan charge.
  - Allowed values: `Per Billing Period`, `Per Month`, `Per Week`, `Per Year`, `Per Specific Months`
- `MaxQuantity` (double, optional) — Specifies the maximum number of units for this charge. Use this field and the `MinQuantity` field to create a range of units allowed in a product rate plan charge. **Character limit**: 16 **Values**: a positive decimal value
- `MinQuantity` (double, optional) — Specifies the minimum number of units for this charge. Use this field and the `MaxQuantity` field to create a range of units allowed in a product rate plan charge. **Character limit**: 16 **Values**: a positive decimal value
- `Name` (string, optional) — The name of the product rate plan charge.
- `NumberOfPeriod` (long, optional) — Specifies the number of periods to use when calculating charges in an overage smoothing charge model. The valid value is a positive whole number.
- `OverageCalculationOption` (enum, optional, nullable) — Determines when to calculate overage charges. If the value of the SmoothingMode field is not specified, the value of this field is ignored. **Values**: - `EndOfSmoothingPeriod`: This option is used by default. The overage is charged at the end of the smoothing period. - `PerBillingPeriod`: The overage is charged on-demand rather than waiting until the end of the smoothing period.
  - Allowed values: `EndOfSmoothingPeriod`, `PerBillingPeriod`
- `OverageUnusedUnitsCreditOption` (enum, optional, nullable) — Determines whether to credit the customer with unused units of usage.
  - Allowed values: `NoCredit`, `CreditBySpecificRate`
- `PriceChangeOption` (enum, optional, nullable, default: NoChange) — Applies an automatic price change when a termed subscription is renewed.
  - Allowed values: `NoChange`, `SpecificPercentageValue`, `UseLatestProductCatalogPricing`
- `PriceIncreasePercentage` (double, optional, nullable) — Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Use this field if you set the value to `SpecificPercentageValue`. **Character limit**: 16 **Values**: a decimal value between -100 and 100
- `ProductRatePlanId` (string, optional) — The ID of the product rate plan associated with this product rate plan charge.
- `ProrationOption` (enum, optional) — **Note**: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Usage charge proration and Charge level proration option for a recurring charge. To use this field, you must set the `X-Zuora-WSDL-Version` request header to `135` or higher. Otherwise, an error occurs. You can use this field to specify the charge-level proration option for a usage charge or recurring charge. The tenant-level proration option will be overridden. * `NoProration`: charge-level proration option that you can set for a usage charge. This option means to not use any proration, which is the default current system behavior for a usage charge. * `TimeBasedProration`: charge-level proration option that you can set for a usage charge. This option means to prorate the usage charge amount using the actual number of days if the billing period is a partial period. * `DefaultFromTenantSetting`: charge-level proration option that you can set for a recurring charge. This option means to follow the customer billing rule proration setting. * `ChargeFullPeriod`: charge-level proration option that you can set for a recurring charge. This options means to charge the full period amount for a partial billing period. Note that this setting means that there is no proration for either collecting or refunding. Even if you cancel the recurring charge in the middle of a billing period, there is no refund for this billing period.
  - Allowed values: `NoProration`, `TimeBasedProration`, `DefaultFromTenantSetting`, `ChargeFullPeriod`
- `RatingGroup` (enum, optional, nullable) — A rating group based on which usage records are rated. Only applicable to Usage charges. Possible values: - `ByBillingPeriod`: The rating is based on all the usages in a billing period. - `ByUsageStartDate`: The rating is based on all the usages on the same usage start date. - `ByUsageRecord`: The rating is based on each usage record. - `ByUsageUpload`: The rating is based on all the usages in a uploaded usage file (`.xls` or `.csv`). - `ByGroupId`: The rating is based on all the usages in a custom group. For more information, see [Usage rating by group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group).
  - Allowed values: `ByBillingPeriod`, `ByUsageStartDate`, `ByUsageRecord`, `ByUsageUpload`, `ByGroupId`
- `RecognizedRevenueAccount` (string, optional) — The name of the recognized revenue account for this charge. - Required when the Allow Blank Accounting Code setting is No. - Optional when the Allow Blank Accounting Code setting is Yes. This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/).
- `RevRecCode` (string, optional, nullable) — Associates this product rate plan charge with a specific revenue recognition code.
- `RevRecTriggerCondition` (enum, optional, nullable) — Specifies when revenue recognition begins.
  - Allowed values: `ContractEffectiveDate`, `ServiceActivationDate`, `CustomerAcceptanceDate`
- `RevenueRecognitionRuleName` (enum, optional) — Determines when to recognize the revenue for this charge.
  - Allowed values: `Recognize upon invoicing`, `Recognize daily over time`
- `SmoothingModel` (enum, optional, nullable) — Specifies the smoothing model for an overage smoothing charge model.
  - Allowed values: `RollingWindow`, `Rollover`
- `SpecificBillingPeriod` (long, optional, nullable) — Customizes the number of months or weeks for the charges billing period. This field is required if you set the value of the BillingPeriod field to `Specific Months` or `Specific Weeks`. The valid value is a positive integer.
- `SpecificListPriceBase` (integer, optional, nullable) — The number of months for the list price base of the charge. The value of this field is `null` if you do not set the value of the `ListPriceBase` field to `Per Specific Months`. **Notes**: * This field is available only if you have the Annual List Price feature enabled. * To use this field, you must set the `X-Zuora-WSDL-Version` request header to `129` or later. Otherwise, an error occurs. * The value of this field is `null` if you do not set the value of the `ListPriceBase` field to `Per Specific Months`.
- `TaxCode` (string, optional) — Specifies the tax code for taxation rules. Required when the Taxable field is set to `True`. **Note**: This value affects the tax calculation of rate plan charges that come from the `ProductRatePlanCharge`.
- `TaxMode` (enum, optional, nullable) — Determines how to define taxation for the charge. Required when the Taxable field is set to `True`. **Note**: This value affects the tax calculation of rate plan charges that come from the `ProductRatePlanCharge`.
  - Allowed values: `TaxExclusive`, `TaxInclusive`
- `Taxable` (boolean, optional) — Determines whether the charge is taxable. When set to `True`, the TaxMode and TaxCode fields are required when creating or updating th ProductRatePlanCharge object. **Character limit**: 5 **Values**: `True`, `False` **Note**: This value affects the tax calculation of rate plan charges that come from the `ProductRatePlanCharge`.
- `TriggerEvent` (enum, optional) — Specifies when to start billing the customer for the charge. **Values**: - `ContractEffective` is the date when the subscription's contract goes into effect and the charge is ready to be billed. - `ServiceActivation` is the date when the services or products for a subscription have been activated and the customers have access. - `CustomerAcceptance` is when the customer accepts the services or products for a subscription.
  - Allowed values: `ContractEffective`, `ServiceActivation`, `CustomerAcceptance`
- `UOM` (string, optional, nullable) — Specifies the units to measure usage. **Note**: You must specify this field when creating the following charge models: - Per Unit Pricing - Volume Pricin - Overage Pricing - Tiered Pricing - Tiered with Overage Pricing
- `UpToPeriods` (long, optional, nullable) — Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. **Character limit**: 5 **Values**: a whole number between 0 and 65535, exclusive **Notes**: - You must use this field together with the `UpToPeriodsType` field to specify the time period. This field is applicable only when the `EndDateCondition` field is set to `FixedPeriod`. - If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end.
- `UpToPeriodsType` (enum, optional, nullable, default: Billing Periods) — The period type used to define when the charge ends. **Notes**: - You must use this field together with the `UpToPeriods` field to specify the time period. - This field is applicable only when the `EndDateCondition` field is set to `FixedPeriod`.
  - Allowed values: `Billing Periods`, `Days`, `Weeks`, `Months`, `Years`
- `UpdatedById` (string, optional) — The ID of the last user to update the object.
- `UpdatedDate` (datetime, optional) — The date when the object was last updated.
- `UseDiscountSpecificAccountingCode` (boolean, optional, nullable) — Determines whether to define a new accounting code for the new discount charge. **Character limit**: 5 **Values**: `True`, `False`
- `UseTenantDefaultForPriceChange` (boolean, optional) — Applies the tenant-level percentage uplift value for an automatic price change to a termed subscription's renewal. **Character limit**: 5 **Values**: `true`, `false`
- `WeeklyBillCycleDay` (enum, optional) — Specifies which day of the week as the bill cycle day (BCD) for the charge. This feature is in **Limited Availability**. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/).
  - Allowed values: `Sunday`, `Monday`, `Tuesday`, `Wednesday`, `Thursday`, `Friday`, `Saturday`
- `IsAllocationEligible` (boolean, optional) — Indicates whether the charge segment is allocation eligible in revenue recognition. The default value is `False`. **Values**: `True`, `False` **Notes**: * The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. * To use this field, you must set the `X-Zuora-WSDL-Version` request header to 132 or later.
- `IsUnbilled` (boolean, optional) — Specifies how to perform the accounting during revenue recognition. The default value is `False`. **Values**: `True`, `False` **Notes**: * The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. * To use this field, you must set the `X-Zuora-WSDL-Version` request header to 132 or later.
- `ProductCategory` (string, optional) — This field is used to maintain the product category for integration with Zuora Revenue. **Notes**: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the `X-Zuora-WSDL-Version` request header to 132 or later.
- `ProductClass` (string, optional) — This field is used to maintain the product class for integration with Zuora Revenue. **Notes**: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the `X-Zuora-WSDL-Version` request header to 132 or later.
- `ProductFamily` (string, optional) — This field is used to maintain the product family for integration with Zuora Revenue. **Notes**: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the `X-Zuora-WSDL-Version` request header to 132 or later.
- `ProductLine` (string, optional) — This field is used to maintain the product line for integration with Zuora Revenue. **Notes**: - This field is available only if you have the Additional Revenue Fields property enabled. - To use this field, you must set the `X-Zuora-WSDL-Version` request header to 132 or later.
- `ReflectDiscountInNetAmount` (boolean, optional, default: false) — When you apply percentage discounts to either of the following charges, you need to set the `ReflectDiscountInNetAmount` field on your discount charge to `true`, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the `ReflectDiscountInNetAmount` field to `true`, you must also set both the `ExcludeItemBookingFromRevenueAccounting` and `ExcludeItemBillingFromRevenueAccounting` fields to `true`. * If you are a Billing - Revenue Integration customer, you must set the `ReflectDiscountInNetAmount` field to `false`, otherwise an error will be returned. Billing - Revenue Integration customers are not supported with net amount. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the `ReflectDiscountInNetAmount` field to `true`.
- `RevenueRecognitionTiming` (enum, optional) — Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. **Note**: This field is only available if you have the Order to Revenue feature enabled.
  - Allowed values: `Upon Billing Document Posting Date`, `Upon Order Activation Date`
- `RevenueAmortizationMethod` (enum, optional) — Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. **Note**: This field is only available if you have the Order to Revenue feature enabled.
  - Allowed values: `Immediate`, `Ratable Using Start And End Dates`
- `ApplyToBillingPeriodPartially` (boolean, optional) — Allow the discount duration to be aligned with the billing period partially. **Note**: You must enable the [Enhanced Discount](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field.
- `Formula` (string, optional) — The price lookup formula defined for the product rate plan charge, which is used to identify the correct and relevant charge definition based on the context. For more information, see Price lookup in Attribute-based Pricing. **Notes**: * This field is available only if the Attribute-based Pricing feature is enabled. * To use this field, you must set the `X-Zuora-WSDL-Version` request header to 138 or higher.
- `Class__NS` (string, optional) — Class associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `DeferredRevAccount__NS` (string, optional) — Deferrred revenue account associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `Department__NS` (string, optional) — Department associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `IncludeChildren__NS` (enum, optional) — Specifies whether the corresponding item in NetSuite is visible under child subsidiaries. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
  - Allowed values: `Yes`, `No`
- `IntegrationId__NS` (string, optional) — ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `IntegrationStatus__NS` (string, optional) — Status of the product rate plan charge's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `ItemType__NS` (enum, optional) — Type of item that is created in NetSuite for the product rate plan charge. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
  - Allowed values: `Inventory`, `Non Inventory`, `Service`
- `Location__NS` (string, optional) — Location associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `RecognizedRevAccount__NS` (string, optional) — Recognized revenue account associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `RevRecEnd__NS` (enum, optional) — End date condition of the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
  - Allowed values: `Charge Period Start`, `Rev Rec Trigger Date`, `Use NetSuite Rev Rec Template`
- `RevRecStart__NS` (enum, optional) — Start date condition of the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
  - Allowed values: `Charge Period Start`, `Rev Rec Trigger Date`, `Use NetSuite Rev Rec Template`
- `RevRecTemplateType__NS` (string, optional) — Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `Subsidiary__NS` (string, optional) — Subsidiary associated with the corresponding item in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `SyncDate__NS` (string, optional) — Date when the product rate plan charge was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

## Errors

### 401 Unauthorized Error

Unauthorized

- `message` (string, optional) — Error message. If the error message is "Authentication error", ensure that the `Authorization` request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/docs/guides/authentication/) for more information. If the error message is "Failed to get user info", retry the request.

### 404 Not Found Error

- `done` (boolean, optional)
- `records` (list of ProxyNoDataResponseRecordsItems, optional)
- `size` (integer, optional)

## Types

### ProxyNoDataResponseRecordsItems

## Examples

**Response**

```json
{
  "AccountingCode": "name_1476935155610",
  "BillCycleDay": 1,
  "BillCycleType": "DefaultFromCustomer",
  "BillingPeriod": "Month",
  "BillingPeriodAlignment": "AlignToCharge",
  "BillingTiming": "In Advance",
  "ChargeModel": "Flat Fee Pricing",
  "ChargeType": "Recurring",
  "CreatedById": "2c93808457d787030157e031dd264c85",
  "CreatedDate": "2016-10-20T05:45:55.000+02:00",
  "DefaultQuantity": 1,
  "DeferredRevenueAccount": "name_1476935155610",
  "Description": "Recurring Flat Fee Pricing",
  "EndDateCondition": "SubscriptionEnd",
  "Id": "2c93808457d787030157e032002b4e21",
  "IncludedUnits": 0,
  "LegacyRevenueReporting": false,
  "ListPriceBase": "Per Billing Period",
  "Name": "Recurring_Flat Fee Pricing1476935155610",
  "NumberOfPeriod": 1,
  "OverageCalculationOption": "EndOfSmoothingPeriod",
  "OverageUnusedUnitsCreditOption": "NoCredit",
  "PriceChangeOption": "NoChange",
  "PriceIncreasePercentage": 0,
  "ProductRatePlanId": "2c93808457d787030157e031ff054e1e",
  "RecognizedRevenueAccount": "name_1476935155610",
  "RevenueRecognitionRuleName": "Recognize upon invoicing",
  "Taxable": false,
  "TriggerEvent": "ContractEffective",
  "UpToPeriodsType": "Billing Periods",
  "UpdatedById": "2c93808457d787030157e031dd264c85",
  "UpdatedDate": "2016-10-20T05:45:55.000+02:00",
  "UseTenantDefaultForPriceChange": true,
  "Formula": ""
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/object/product-rate-plan-charge/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```